import request from '@/utils/request'

// 查询支付应用列表
export function listApp(query) {
  return request({
    url: '/pay/payApp/list',
    method: 'get',
    params: query
  })
}

// 查询支付应用详细
export function getApp(id) {
  return request({
    url: '/pay/payApp/' + id,
    method: 'get'
  })
}

// 新增支付应用
export function addApp(data) {
  return request({
    url: '/pay/payApp',
    method: 'post',
    data: data
  })
}

// 锁定应用
export function lockApp(id) {
  return request({
    url: '/pay/payApp/lock/' + id,
    method: 'post'
  })
}

// 修改支付应用
export function updateApp(data) {
  return request({
    url: '/pay/payApp',
    method: 'put',
    data: data
  })
}

// 删除支付应用
export function delApp(id) {
  return request({
    url: '/pay/payApp/' + id,
    method: 'delete'
  })
}
